Using IP cameras
Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department:  Affected Products: ADTF 2.13.2, ADTF Device Toolbox

2.6.1, ADTF Display Toolbox 2.1.1,

ADTF Video Compression Toolbox 2.5.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: DeviceTB::Common

Resolution: Workaround Available FAQ Links:  

Description

Supportanfrage

ist es möglich eine IP-Kamera in Verbindung mit ADTF 2 zu verwenden, das Videobild mit einem Video_Display darzustellen und

den Stream im Recoder aufzuzeichnen?

welche Toolbox (Version) unterstützt dieses Feature?

welche Spec muss die Kamera hierfür erfüllen?

Lösung

Grundsätzlich unterstützen wir nur Kameras, die folgende SDKs bedienen:

Direct Show (Windows)

Video4Linux (Linux)

Blue Fox

uEye

Siehe https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf

Das heißt wenn eine Kamera dazu kompatibel ist, kannst du sie verwenden.

Meines Wissens gibt es Wrapper, so dass ein IP Device als Direct Show Device (virtuell) dargestellt werden kann.

Das ist aber außerhalb unseres Supports, solltest du aber hinbekommen.

Schau dir dazu mal http://alax.info/blog/1216 an.

Ansonsten müsstest du beim Hersteller nachfragen, mit welcher API sich das Device anbinden lässt und einen entsprechenden Filter

implementieren (oder hoffen dass das irgendjemand auf der Welt mal gemacht hat).

PS: Das ist u.a. ein Thema für ADTF 3.x, in der Component Store kommt, wo solche APIs der Community bereitgestellt werden soll

(sozusagen von Anwender für Anwender). Nur am Rande...

History

#1 - 2019-07-22 15:55 - hidden

Die Kamera soll einen möglichst großen Sichtbereich abdecken (145-180°)

#2 - 2019-07-23 09:06 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::Common

- Customer set to AUDI

2024-04-25 1/2

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf
http://alax.info/blog/1216


#3 - 2019-07-23 10:01 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Workaround Available

Hallo Michael,

grundsätzlich unterstützen wir nur Kameras, die folgende SDKs bedienen:

Direct Show (Windows)

Video4Linux (Linux)

Blue Fox

uEye

Siehe https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf

Das heißt wenn eine Kamera dazu kompatibel ist, kannst du sie verwenden.

Meines Wissens gibt es Wrapper, so dass ein IP Device als Direct Show Device (virtuell) dargestellt werden kann.

Das ist aber außerhalb unseres Supports, solltest du aber hinbekommen.

Schau dir dazu mal http://alax.info/blog/1216 an.

Ansonsten müsstest du beim Hersteller nachfragen, mit welcher API sich das Device anbinden lässt und einen entsprechenden Filter implementieren

(oder hoffen dass das irgendjemand auf der Welt mal gemacht hat).

PS: Das ist u.a. ein Thema für ADTF 3.x, in der Component Store kommt, wo solche APIs der Community bereitgestellt werden soll (sozusagen von

Anwender für Anwender). Nur am Rande...

#4 - 2019-07-25 09:39 - hidden

Hallo Michael,

hast Du unsere Antwort erhalten?

Können wir die Anfrage damit schließen?

Bitte um Feedback bis zum 26.07.

Danke

#6 - 2019-07-29 15:12 - hidden

- Project changed from 11 to Public Support

- Subject changed from Verwendung IP-Kamera in ADTF 2 to Using IP cameras

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#7 - 2020-07-07 11:08 - hidden

- Support Level changed from 2nd Level to 3rd Level

#8 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
